SalesOS.

Customer Portal

Customer-facing self-service portal

Get customer portal configuration

GET
/v1/customer-portal/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/customer-portal/config" \
  -H "Authorization: Bearer <token>"

Portal configuration

Update customer portal configuration

PATCH
/v1/customer-portal/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PATCH "https://api.salesos.org/v1/customer-portal/config" \
  -H "Authorization: Bearer <token>"

Updated portal configuration

List portal users

GET
/v1/customer-portal/users

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/customer-portal/users" \
  -H "Authorization: Bearer <token>"

List of portal users

Get a single portal user

GET
/v1/customer-portal/users/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-portal/users/<string>" \
  -H "Authorization: Bearer <token>"

Portal user details

Remove portal access from a user

DELETE
/v1/customer-portal/users/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/customer-portal/users/<string>" \
  -H "Authorization: Bearer <token>"

Portal access removed

List pending portal invitations

GET
/v1/customer-portal/invitations

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/customer-portal/invitations" \
  -H "Authorization: Bearer <token>"

Pending invitations

Send a portal invitation

POST
/v1/customer-portal/invitations

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/customer-portal/invitations" \
  -H "Authorization: Bearer <token>"

Invitation sent

Invite a contact to the customer portal

POST
/v1/customer-portal/users/invite

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/customer-portal/users/invite" \
  -H "Authorization: Bearer <token>"

Invitation sent

Revoke portal access from a user

DELETE
/v1/customer-portal/users/{id}/access

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/customer-portal/users/<string>/access" \
  -H "Authorization: Bearer <token>"

Portal access revoked

Get customer portal statistics

GET
/v1/customer-portal/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/customer-portal/stats" \
  -H "Authorization: Bearer <token>"

Portal statistics

Get active portal sessions

GET
/v1/customer-portal/sessions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/customer-portal/sessions" \
  -H "Authorization: Bearer <token>"

Active sessions

Toggle a portal feature

PATCH
/v1/customer-portal/features/{featureId}/toggle

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

featureIdRequiredstring
curl -X PATCH "https://api.salesos.org/v1/customer-portal/features/<string>/toggle" \
  -H "Authorization: Bearer <token>"

Feature toggled